NXOpen .NET Reference  12.0.0
NXOpen.Routing.SBendCornerCollection Member List

This is the complete list of members for NXOpen.Routing.SBendCornerCollection, including all inherited members.

ComputeSBend(NXOpen.Point3d startPnt, NXOpen.Point3d endPnt, NXOpen.Vector3d lineVec1, NXOpen.Vector3d lineVec2, double radius, int sbendType, out NXOpen.Spline bendCurve)NXOpen.Routing.SBendCornerCollection
ComputeSBendData(NXOpen.Point3d startPnt, NXOpen.Point3d endPnt, NXOpen.Vector3d lineVec1, NXOpen.Vector3d lineVec2, double radius, int sbendType, out NXOpen.Point3d extensionPt1, out NXOpen.Point3d extensionPt2, out NXOpen.Point3d arc1StartPt, out NXOpen.Point3d arc1EndPt, out NXOpen.Point3d arc2StartPt, out NXOpen.Point3d arc2EndPt)NXOpen.Routing.SBendCornerCollection
CreateCornerByBendRadius(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRadius, int sbendType)NXOpen.Routing.SBendCornerCollection
CreateCornerByBendRatio(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRatio, int sbendType)NXOpen.Routing.SBendCornerCollection
CreateCornerBySegBendRadius(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, NXOpen.Routing.SplineSegment segment, int sbendType, double bendRadius)NXOpen.Routing.SBendCornerCollection
CreateCornerBySegBendRatio(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, NXOpen.Routing.SplineSegment segment, int sbendType, double bendRatio)NXOpen.Routing.SBendCornerCollection
EditCornerByBendRadius(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRadius, int sbendType, NXOpen.Routing.SBendCorner sbend)NXOpen.Routing.SBendCornerCollection
EditCornerByBendRatio(NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRatio, int sbendType, NXOpen.Routing.SBendCorner sbend)NXOpen.Routing.SBendCornerCollection
EnumerateMoveNext(ref Tag currentTag, byte[] state)NXOpen.Routing.SBendCornerCollectionprotected
GetRcpSBendRadius(NXOpen.Routing.ControlPoint rcp)NXOpen.Routing.SBendCornerCollection
GetSBendAssociatedToRcp(NXOpen.Routing.ControlPoint rcp)NXOpen.Routing.SBendCornerCollection
GetSBendAssociatedToSegment(NXOpen.Routing.SplineSegment segment)NXOpen.Routing.SBendCornerCollection
GetSegmentSBendRadius(NXOpen.Routing.SplineSegment segment)NXOpen.Routing.SBendCornerCollection
IsRcpAssociatedToSBend(NXOpen.Routing.ControlPoint rcp)NXOpen.Routing.SBendCornerCollection
TagNXOpen.Routing.SBendCornerCollection
ToArray()NXOpen.Routing.SBendCornerCollection
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.